/** ###################################################################
**     Filename  : Events.H
**     Processor : 56F82xx
**     Compiler  : Metrowerks DSP C Compiler
**     Date      : 03/05/2009
**     Abstract  :
**         This is user's event module.
**         Put your event handler code here.
** ###################################################################*/

#ifndef __Events_H
#define __Events_H
/* MODULE Events */

#include "Types.h"


void Cpu_Interrupt(void);
/*
** ===================================================================
**     Method      :  Cpu_Interrupt (bean 56F82xx)
**
**     Description :
**         The method services unhandled interrupt vectors.
** ===================================================================
*/

void TI1_Interrupt(void);
/*
** ===================================================================
**     Event       :  TI1_Interrupt (module Events)
**
**     From bean   :  Cpu [56F82xx]
**     Description :
**         This event is called when 5 seconds happens.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/* END Events */
#endif /* __Events_H*/
