/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : EC321.h
**     Project     : ProcessorExpert
**     Processor   : MC56F84789VLL
**     Component   : EventCntr32
**     Version     : Component 02.096, Driver 02.06, CPU db: 3.50.001
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-07-05, 11:37, # CodeGen: 10
**     Abstract    :
**         This component "EventCntr32" implements an 32-bit event counter.
**         It counts the external events (specified edges of the external
**         signal). It uses a hardware counter that can have different width.
**         In that case the counter will be extended or taperred to 32 bits.
**     Settings    :
**         Timer name                  : TMRA0 [16-bit]
**         Used input pin              : 
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       11            |  GPIOC3/TA0/CMPA_O/RXD0/CLKIN1
**             ----------------------------------------------------
**         Counter register            : TMRA_0_CNTR [E145]
**         Mode register               : TMRA_0_CTRL [E146]
**         Run register                : TMRA_0_CTRL [E146]
**     Contents    :
**         Enable       - byte EC321_Enable(void);
**         Reset        - byte EC321_Reset(void);
**         GetNumEvents - byte EC321_GetNumEvents(dword *Value);
**
**     Copyright : 1997 - 2012 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef __EC321
#define __EC321

/* MODULE EC321. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"

#include "Cpu.h"


byte EC321_Enable(void);
/*
** ===================================================================
**     Method      :  EC321_Enable (component EventCntr32)
**
**     Description :
**         This method enables the component - the external events are
**         counted.
**     Parameters  : None
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
** ===================================================================
*/

byte EC321_Reset(void);
/*
** ===================================================================
**     Method      :  EC321_Reset (component EventCntr32)
**
**     Description :
**         This method resets the external event counter (sets it to
**         zero).
**     Parameters  : None
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
** ===================================================================
*/

byte EC321_GetNumEvents(dword *Value);
/*
** ===================================================================
**     Method      :  EC321_GetNumEvents (component EventCntr32)
**
**     Description :
**         This method returns the number of the external events.
**     Parameters  :
**         NAME            - DESCRIPTION
**       * Value           - A pointer to the returned number of
**                           the external events
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_OVERFLOW - Timer overflow
** ===================================================================
*/

void EC321_Interrupt(void);
/*
** ===================================================================
**     Method      :  EC321_Interrupt (component EventCntr32)
**
**     Description :
**         The method services the interrupt of the selected peripheral(s)
**         and eventually invokes the beans event(s).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

void EC321_Init(void);
/*
** ===================================================================
**     Method      :  EC321_Init (component EventCntr32)
**
**     Description :
**         Initializes the associated peripheral(s) and the beans 
**         internal variables. The method is called automatically as a 
**         part of the application initialization code.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

/* END EC321. */

#endif /* ifndef __EC321 */
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
