/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : FC1.h
**     Project     : ProcessorExpert
**     Processor   : MC56F84789VLL
**     Component   : Init_CAN
**     Version     : Component 01.006, Driver 01.06, CPU db: 3.50.001
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-07-05, 11:45, # CodeGen: 23
**     Abstract    :
**          This file implements the CAN (CAN) module initialization
**          according to the Peripheral Initialization settings, and
**          defines interrupt service routines prototypes.
**     Settings    :
**          Component name                                 : FC1
**          Device                                         : CAN
**          Settings                                       : 
**            Clock settings                               : 
**              Clock divisor select value                 : 30
**              Phase segment 1                            : 4
**              Phase segment 2                            : 2
**              Propagation segment                        : 1
**              CAN clock source                           : Internal bus clock
**              CAN frequency                              : 0.4032 MHz
**              Resync jump width                          : 1
**              Free-running timer                         : 0
**            Timer synchronize mode                       : Enabled
**            Lowest buffer transmitted first              : Lowest number buffer is transmitted first
**            Freeze mode                                  : Enabled
**            Samples per bit                              : Three samples
**            Bus off recovery mode                        : Disabled
**            Loop back mode                               : Enabled
**            Listen only mode                             : Disabled
**            Abort                                        : Disabled
**            Wake-up                                      : Disabled
**            Wake-up source filtered                      : no
**            Rx FIFO                                      : Disabled
**            Supervisor mode                              : yes
**            Doze mode                                    : no
**            Write-Access to memory in Freeze mode        : Enabled
**            Self reception disable                       : no
**            Local priority                               : Disabled
**            ID Acceptance Mode                           : Format A
**            Mailboxes reception priority                 : from Mailboxes to Rx FIFO
**            Remote Request Storing                       : Disabled
**            Entire Frame Arbitration Field Comparison for Rx Mailboxes : Disabled
**            Tx Arbitration Start Delay                   : 9
**            Number of the Last Message Buffer            : 15
**            Individual Rx Masking and Queue              : Disabled
**            Rx FIFO global data mask                     : FFFFFFFF
**            Rx Individual MB data mask                   : 
**              Mailbox 0 data mask                        : FFFFFFFF
**              Mailbox 1 data mask                        : FFFFFFFF
**              Mailbox 2 data mask                        : FFFFFFFF
**              Mailbox 3 data mask                        : FFFFFFFF
**              Mailbox 4 data mask                        : FFFFFFFF
**              Mailbox 5 data mask                        : FFFFFFFF
**              Mailbox 6 data mask                        : FFFFFFFF
**              Mailbox 7 data mask                        : FFFFFFFF
**              Mailbox 8 data mask                        : FFFFFFFF
**              Mailbox 9 data mask                        : FFFFFFFF
**              Mailbox 10 data mask                       : FFFFFFFF
**              Mailbox 11 data mask                       : FFFFFFFF
**              Mailbox 12 data mask                       : FFFFFFFF
**              Mailbox 13 data mask                       : FFFFFFFF
**              Mailbox 14 data mask                       : FFFFFFFF
**              Mailbox 15 data mask                       : FFFFFFFF
**            Global data mask                             : 00000000
**            Data buffer 14 mask                          : FFFFFFFF
**            Data buffer 15 mask                          : FFFFFFFF
**            Number of Rx FIFO filters                    : 8
**          Pins                                           : 
**            Receiver pin                                 : 
**              Pin                                        : GPIOC12/CANRX/SDA1/RXD1
**              Pin signal                                 : 
**            Transmitter pin                              : 
**              Pin                                        : GPIOC11/CANTX/SCL1/TXD1
**              Pin signal                                 : 
**          Interrupts                                     : 
**            MB logical OR interrupt                      : 
**              Interrupt                                  : INT_MB_OR
**              Interrupt priority                         : maximal priority
**              ISR name                                   : CAN_MB_or_ISR
**              Message buffer 0 interrupt                 : Enabled
**              Message buffer 1 interrupt                 : Enabled
**              Message buffer 2 interrupt                 : Disabled
**              Message buffer 3 interrupt                 : Disabled
**              Message buffer 4 interrupt                 : Disabled
**              Message buffer 5 interrupt                 : Disabled
**              Message buffer 6 interrupt                 : Disabled
**              Message buffer 7 interrupt                 : Disabled
**              Message buffer 8 interrupt                 : Disabled
**              Message buffer 9 interrupt                 : Disabled
**              Message buffer 10 interrupt                : Disabled
**              Message buffer 11 interrupt                : Disabled
**              Message buffer 12 interrupt                : Disabled
**              Message buffer 13 interrupt                : Disabled
**              Message buffer 14 interrupt                : Disabled
**              Message buffer 15 interrupt                : Disabled
**            Bus-off interrupt                            : 
**              Interrupt                                  : INT_BUS_OFF
**              Interrupt priority                         : minimal priority
**              ISR name                                   : BusOff_ISR
**              Bus-off interrupt                          : Disabled
**            Error interrupt                              : 
**              Interrupt                                  : INT_ERROR
**              Interrupt priority                         : minimal priority
**              ISR name                                   : Error_ISR
**              Error interrupt                            : Disabled
**            Warning interrupt                            : Disabled
**            Wakeup interrupt                             : 
**              Interrupt                                  : INT_WAKEUP
**              Interrupt priority                         : default
**              ISR name                                   : 
**              Wakeup interrupt                           : Disabled
**          Initialization                                 : 
**            Peripheral clock enable                      : Enabled
**            Module enable                                : yes
**            Keep in Freeze/Halt                          : no
**            Call Init method                             : yes
**     Contents    :
**         Init - void FC1_Init(void);
**
**     Copyright : 1997 - 2012 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef FC1_H_
#define FC1_H_

/* MODULE FC1. */

/* Including shared modules, which are used in the whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Cpu.h"


void FC1_Init(void);
/*
** ===================================================================
**     Method      :  FC1_Init (component Init_CAN)
**
**     Description :
**         This method initializes registers of the CAN module
**         according to the Peripheral Initialization settings.
**         Call this method in user code to initialize the module. By
**         default, the method is called by PE automatically; see "Call
**         Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see FC1.c file for more information).
** ===================================================================
*/
void CAN_MB_or_ISR(void);
/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see FC1.c file for more information).
** ===================================================================
*/
void BusOff_ISR(void);
/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see FC1.c file for more information).
** ===================================================================
*/
void Error_ISR(void);


/* END FC1. */
#endif /* #ifndef __FC1_H_ */
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
