/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : CRC1.c
**     Project     : ProcessorExpert
**     Processor   : MC56F84789VLL
**     Component   : Init_CRC
**     Version     : Component 01.008, Driver 01.08, CPU db: 3.50.001
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-07-05, 11:48, # CodeGen: 15
**     Abstract    :
**          This file implements the CRC (CRC) module initialization
**          according to the Peripheral Initialization settings, and
**          defines interrupt service routines prototypes.
**     Settings    :
**          Component name                                 : CRC1
**          Device                                         : CRC
**          Settings                                       : 
**            Type of transpose for write                  : No transposition
**            Type of transpose for read                   : No transposition
**            Complement read of CRC                       : yes
**            Width of CRC                                 : 32-bit
**            Write to the CRC                             : Data
**          Initialization                                 : 
**            Peripheral clock enable                      : Enabled
**            Seed/input data initialization               : Initialize
**              Seed/input data                            : FFFFFFFF
**            Polynomial initialization                    : Initialize
**              Polynomial data                            : 89ABCDEF
**            Call Init method                             : yes
**     Contents    :
**         Init - void CRC1_Init(void);
**
**     Copyright : 1997 - 2012 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

/* MODULE CRC1. */

#include "CRC1.h"
  /* Including shared modules, which are used in the whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Cpu.h"


/*
** ===================================================================
**     Method      :  CRC1_Init (component Init_CRC)
**
**     Description :
**         This method initializes registers of the CRC module
**         according to the Peripheral Initialization settings.
**         Call this method in user code to initialize the module. By
**         default, the method is called by PE automatically; see "Call
**         Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void CRC1_Init(void)
{
  /* CRC_CTRL: TOT=0,TOTR=0,??=0,FXOR=1,WAS=0,TCRC=1,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0 */
  setReg32(CRC_CTRL, 0x05000000UL);     
  /* CRC_GPOLY: HIGH=0x89AB,LOW=0xCDEF */
  setReg32(CRC_GPOLY, 0x89ABCDEFUL);    
  /* CRC_CTRL: WAS=1 */
  setReg32Bits(CRC_CTRL, 0x02000000UL); 
  /* CRC_CRC: HU7=1,HU6=1,HU5=1,HU4=1,HU3=1,HU2=1,HU1=1,HU0=1,HL7=1,HL6=1,HL5=1,HL4=1,HL3=1,HL2=1,HL1=1,HL0=1,LU7=1,LU6=1,LU5=1,LU4=1,LU3=1,LU2=1,LU1=1,LU0=1,LL7=1,LL6=1,LL5=1,LL4=1,LL3=1,LL2=1,LL1=1,LL0=1 */
  setReg32(CRC_CRC, 0xFFFFFFFFUL);      
  /* CRC_CTRL: WAS=0 */
  clrReg32Bits(CRC_CTRL, 0x02000000UL); 
}


/* END CRC1. */
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
