/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : DMA1.c
**     Project     : ProcessorExpert
**     Processor   : MC56F84789VLL
**     Component   : Init_DMA
**     Version     : Component 01.002, Driver 01.02, CPU db: 3.50.001
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-05-22, 15:44, # CodeGen: 12
**     Abstract    :
**          This file implements the DMA (DMA) module initialization
**          according to the Peripheral Initialization settings, and
**          defines interrupt service routines prototypes.
**     Settings    :
**          Component name                                 : DMA1
**          Device                                         : DMA
**          Channels                                       : 
**            Channel 0                                    : Initialize
**              Settings                                   : 
**                Transfer mode                            : Continuous
**                Auto disable external request            : Disabled
**                Auto align                               : Disabled
**                Channel links settings                   : 
**                  Link channel control                   : No link
**                  Link channel 1 (LCH1)                  : DMA channel 0
**                  Link channel 2 (LCH2)                  : DMA channel 0
**                Data source                              : 
**                  External object declaration            : 
**                  Address                                : 0
**                  Address increment                      : Enabled
**                  Transfer size                          : 8-bit
**                  Address modulo                         : Buffer disabled
**                Data destination                         : 
**                  External object declaration            : 
**                  Address                                : 0
**                  Address increment                      : Enabled
**                  Transfer size                          : 8-bit
**                  Address modulo                         : Buffer disabled
**                Byte count                               : 16
**              Pins/Signals                               : 
**                External DMA request                     : Disabled
**              Interrupts                                 : 
**                DMA transfer interrupt                   : 
**                  Interrupt                              : INT_DMA0
**                  Interrupt priority                     : 0
**                  ISR Name                               : DMA_OnComplete
**                  DMA transfer interrupt                 : Enabled
**              Initialization                             : 
**                External request                         : Disabled
**                Start DMA transfer                       : No
**            Channel 1                                    : Do not initialize
**            Channel 2                                    : Do not initialize
**            Channel 3                                    : Do not initialize
**          Initialization                                 : 
**            Call Init method                             : yes
**     Contents    :
**         Init - void DMA1_Init(void);
**
**     Copyright : 1997 - 2012 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

/* MODULE DMA1. */

#include "DMA1.h"
  /* Including shared modules, which are used in the whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Cpu.h"


/*
** ===================================================================
**     Method      :  DMA1_Init (component Init_DMA)
**
**     Description :
**         This method initializes registers of the DMA module
**         according to the Peripheral Initialization settings.
**         Call this method in user code to initialize the module. By
**         default, the method is called by PE automatically; see "Call
**         Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void DMA1_Init(void)
{
  /* DMA_DSR_BCR0: DONE=1 */
  setReg32Bits(DMA_DSR_BCR0, 0x01000000UL); 
  /* DMA_SAR0 = 0 */
  DMA_SAR0 = (dword)(0);
  /* DMA_DAR0 = 0 */
  DMA_DAR0 = (dword)(0);
  /* DMA_DSR_BCR0: ??=0,CE=0,BES=0,BED=0,??=0,REQ=0,BSY=0,DONE=0,BCR=0x10 */
  setReg32(DMA_DSR_BCR0, 0x10UL);       
  /* DMA_DCR0: EINT=1,ERQ=0,CS=0,AA=0,??=0,??=0,??=0,??=0,??=0,SINC=1,SSIZE=1,DINC=1,DSIZE=1,START=0,SMOD=0,DMOD=0,D_REQ=0,??=0,LINKCC=0,LCH1=0,LCH2=0 */
  setReg32(DMA_DCR0, 0x805A0000UL);     
}

/*
** ###################################################################
**
**  The interrupt service routine(s) must be implemented
**  by user in one of the following user modules.
**
**  If the "Generate ISR" option is enabled, Processor Expert generates
**  ISR templates in the CPU event module.
**
**  User modules:
**      ProcessorExpert.c
**      Events.c
**
** ###################################################################
#if defined(DMA_OnComplete_FAST_INT)
#pragma interrupt fast
#elif defined(DMA_OnComplete_VECT_TABLE_ISR_FAST_INT)
#pragma define_section interrupt_fast "interrupt_fast.text"  RX
#pragma section interrupt_fast begin
#pragma interrupt fast
#else
#pragma interrupt
#endif
void DMA_OnComplete(void)
{
// NOTE: The routine should include actions to clear the appropriate
//       interrupt flags.
//
}
*/


/* END DMA1. */
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
