/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : Timer.c
**     Project     : ProcessorExpert
**     Processor   : MC56F84789VLL
**     Component   : Init_PIT
**     Version     : Component 01.071, Driver 02.01, CPU db: 3.50.001
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-07-05, 11:57, # CodeGen: 44
**     Abstract    :
**         This module encapsulates the Programmable Interval Timer module (PIT)
**         contains a 16 bit up counter, a modulo register, and a control register.
**         The PIT module design includes these distinctive features: 16 bit counter/timer,
**         programmable count modulo, max count rate equals peripheral clock rate,
**         slave mode allows synchronization of multiple PIT count enables.
**     Settings    :
**          Component name                                 : Timer
**          Device                                         : PIT0
**          Settings                                       : 
**            Select master                                : PIT0
**            Slave mode                                   : Disabled
**            Clock settings                               : 
**              Clock select                               : BUS_CLK
**              Prescaler                                  : 16
**              Modulo register                            : 10000
**          Interrupts                                     : 
**            Roll-over interrupt                          : 
**              Interrupt                                  : INT_PIT0_ROLLOVR
**              Roll-over interrupt                        : Enabled
**              Interrupt priority                         : 0
**              ISR name                                   : PIT_ISR
**          Initialization                                 : 
**            Call Init method                             : yes
**            Counter enable                               : no
**            Enable peripheral clock                      : yes
**     Contents    :
**         Init - void Timer_Init(void);
**
**     Copyright : 1997 - 2012 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

/* MODULE Timer. */

#include "Timer.h"

/*
** ===================================================================
**     Method      :  Timer_Init (component Init_PIT)
**
**     Description :
**         This method initializes registers of the PIT module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in the user code to initialize the
**         module. By default, the method is called by PE
**         automatically; see <Call Init method> property of the
**         bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void Timer_Init(void)
{
  /* PIT0_CTRL: SLAVE=0,??=0,??=0,??=0,??=0,??=0,CLKSEL=0,??=0,PRESCALER=4,PRF=0,PRIE=1,CNT_EN=0 */
  setReg16(PIT0_CTRL, 0x22U);          /* Set PIT0_CTRL register and clear PRF flag */ 
  /* PIT0_MOD: MODULO_VALUE=0x2710 */
  setReg16(PIT0_MOD, 0x2710U);          

}


/*
** ###################################################################
**
**  The interrupt service routine(s) must be implemented
**  by user in one of the following user modules.
**
**  If the "Generate ISR" option is enabled, Processor Expert generates
**  ISR templates in the CPU event module.
**
**  User modules:
**      ProcessorExpert.c
**      Events.c
**
** ###################################################################
#if defined(PIT_ISR_FAST_INT)
#pragma interrupt fast
#elif defined(PIT_ISR_VECT_TABLE_ISR_FAST_INT)
#pragma define_section interrupt_fast "interrupt_fast.text"  RX
#pragma section interrupt_fast begin
#pragma interrupt fast
#else
#pragma interrupt
#endif
void PIT_ISR(void)
{
// NOTE: The routine should include actions to clear the appropriate
//       interrupt flags.
//
}
*/
/* END Timer. */

/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
