/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : Timer.h
**     Project     : ProcessorExpert
**     Processor   : MC56F84789VLL
**     Component   : Init_PIT
**     Version     : Component 01.071, Driver 02.01, CPU db: 3.50.001
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-07-05, 11:57, # CodeGen: 44
**     Abstract    :
**         This module encapsulates the Programmable Interval Timer module (PIT)
**         contains a 16 bit up counter, a modulo register, and a control register.
**         The PIT module design includes these distinctive features: 16 bit counter/timer,
**         programmable count modulo, max count rate equals peripheral clock rate,
**         slave mode allows synchronization of multiple PIT count enables.
**     Settings    :
**          Component name                                 : Timer
**          Device                                         : PIT0
**          Settings                                       : 
**            Select master                                : PIT0
**            Slave mode                                   : Disabled
**            Clock settings                               : 
**              Clock select                               : BUS_CLK
**              Prescaler                                  : 16
**              Modulo register                            : 10000
**          Interrupts                                     : 
**            Roll-over interrupt                          : 
**              Interrupt                                  : INT_PIT0_ROLLOVR
**              Roll-over interrupt                        : Enabled
**              Interrupt priority                         : 0
**              ISR name                                   : PIT_ISR
**          Initialization                                 : 
**            Call Init method                             : yes
**            Counter enable                               : no
**            Enable peripheral clock                      : yes
**     Contents    :
**         Init - void Timer_Init(void);
**
**     Copyright : 1997 - 2012 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef __Timer
#define __Timer

/* MODULE Timer. */

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */

#include "Cpu.h"




/* PESL device mapping  */
#define Timer_DEVICE PIT0

void Timer_Init(void);
/*
** ===================================================================
**     Method      :  Timer_Init (component Init_PIT)
**
**     Description :
**         This method initializes registers of the PIT module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in the user code to initialize the
**         module. By default, the method is called by PE
**         automatically; see <Call Init method> property of the
**         bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

void PIT_ISR(void);
/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see Timer.c file for more information).
** ===================================================================
*/

/* END Timer. */

#endif
/* ifndef __Timer */
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
