/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : SCI1.c
**     Project     : ProcessorExpert
**     Processor   : MC56F84789VLL
**     Component   : Init_SCI
**     Version     : Component 01.093, Driver 01.21, CPU db: 3.50.001
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-07-05, 11:59, # CodeGen: 13
**     Abstract    :
**         This "Init_SCI" Peripheral Inspector implements the
**         Serial Communications Interface module (SCI), basic
**         initialization and settings.
**     Settings    :
**         Serial channel              : QSCI0
**
**         Communication setting
**             Divisor value           : 390
**             Init baud rate          : 16025.641026000001 Bd
**             Data format             : 8 bits
**             Wakeup                  : by idle line
**             Polarity                : normal
**             Parity                  : none
**             SCI run in Wait mode    : Enabled
**
**         Interrupts
**           Receiver Full             : Enabled
**             ISR name                : AS1_RxFull
**             Interrupt name          : INT_QSCI0_RCV
**             Priority                : 1
**
**           Receiver Error            : Disabled
**
**           Transmitter Complete      : Disabled
**
**           Transmitter Ready         : Disabled
**             ISR name                : AS1_TxEmpty
**             Interrupt name          : INT_QSCI0_TDRE
**             Priority                : 1
**
**     Contents    :
**         Init - void SCI1_Init(void);
**
**     Copyright : 1997 - 2012 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

/* MODULE SCI1. */

#include "SCI1.h"

/*
** ###################################################################
**
**  The following method(s) must be implemented by the user in one
**  of the following modules:
**
**    #if defined(AS1_RxFull_FAST_INT)
**    #pragma interrupt fast
**    #elif defined(AS1_RxFull_VECT_TABLE_ISR_FAST_INT)
**    #pragma define_section interrupt_fast "interrupt_fast.text"  RX
**    #pragma section interrupt_fast begin
**    #pragma interrupt fast
**    #else
**    #pragma interrupt
**    #endif
**    void AS1_RxFull(void)
**    {
**      // Your interrupt code
**    }
**    #if defined(AS1_RxFull_VECT_TABLE_ISR_FAST_INT)
**    #pragma section interrupt_fast end
**    #endif
**
**    #if defined(AS1_TxEmpty_FAST_INT)
**    #pragma interrupt fast
**    #elif defined(AS1_TxEmpty_VECT_TABLE_ISR_FAST_INT)
**    #pragma define_section interrupt_fast "interrupt_fast.text"  RX
**    #pragma section interrupt_fast begin
**    #pragma interrupt fast
**    #else
**    #pragma interrupt
**    #endif
**    void AS1_TxEmpty(void)
**    {
**      // Your interrupt code
**    }
**    #if defined(AS1_TxEmpty_VECT_TABLE_ISR_FAST_INT)
**    #pragma section interrupt_fast end
**    #endif
**
**  Modules:
**       ProcessorExpert
**       Events
**
** ###################################################################
*/

/*
** ===================================================================
**     Method      :  SCI1_Init (component Init_SCI)
**
**     Description :
**         This method initializes registers of the SCI module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in the user code to initialize the
**         module. By default, the method is called by PE
**         automatically; see "Call Init method" property of the
**         bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void SCI1_Init(void)
{
  getReg(QSCI0_STAT);                  /* Clear interrupt request flags */
  /* QSCI0_RATE: SBR=0x0186,FRAC_SBR=0 */
  setReg16(QSCI0_RATE, 0x0C30U);       /* Set prescaler bits */ 
  /* QSCI0_CTRL1: LOOP=1,SWAI=0,RSRC=0,M=0,WAKE=0,POL=0,PE=0,PT=0,TEIE=0,TIIE=0,RFIE=1,REIE=0,TE=1,RE=1,RWU=0,SBK=0 */
  setReg16(QSCI0_CTRL1, 0x802CU);      /* Set the SCI control register */ 
  /* QSCI0_CTRL2: TFCNT=0,TFWM=0,RFCNT=0,RFWM=0,FIFO_EN=0,RIEIE=0,LINMODE=0,RIIE=0,TDE=0,RDE=0 */
  setReg16(QSCI0_CTRL2, 0x00U);        /* Set the SCI control register */ 
  /* QSCI0_CTRL3: ??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,??=0,SHEN=0 */
  setReg16(QSCI0_CTRL3, 0x00U);        /* Set the SCI control 3 register */ 
}

/* END SCI1. */

/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
