/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : SPI1.h
**     Project     : ProcessorExpert
**     Processor   : MC56F84789VLL
**     Component   : Init_SPI
**     Version     : Component 01.066, Driver 01.26, CPU db: 3.50.001
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-07-05, 12:00, # CodeGen: 11
**     Abstract    :
**         This "Init_SPI" Peripheral Inspector implements the
**         Serial Peripheral Interface module (SPI), basic 
**         initialization and settings.
**     Settings    :
**          Component name                                 : SPI1
**          Device                                         : QSPI0
**          Settings                                       : 
**            Baud rate setting                            : 
**              Clock divisor value                        : 16
**              Baud Divisor Times 2                       : Disabled
**              SPI frequency                              : 6.25 MHz
**            SPI mode                                     : Master
**            Data size                                    : 8 bits
**            Data shift order                             : MSB first
**            Mode fault checking                          : Disabled
**            Clock polarity                               : rising edge
**            Clock phase                                  : first SCLK edge
**            Wired OR mode                                : Disabled
**          SS data                                        : High
**          SS open drain                                  : no open drain
**          SS automatic mode                              : Disabled
**          SS direction                                   : Input
**          SS strobe mode                                 : Disabled
**          SS override                                    : Disabled
**          Wait delay                                     : 0
**          Tx FIFO Watermark                              : 0
**          Rx FIFO Watermark                              : 3
**          FIFO enable                                    : Disabled
**          Stop hold                                      : Disabled
**          Pins                                           : 
**            MISO pin                                     : GPIOC8/MISO0/RXD0/XB_IN9
**            MISO pin signal                              : 
**            MOSI pin                                     : GPIOC10/MOSI0/XB_IN5/MISO0
**            MOSI pin signal                              : 
**            SCLK pin                                     : GPIOC9/SCK0/XB_IN4
**            SCLK pin signal                              : 
**            SS pin                                       : GPIOC7/SS0_B/TXD0
**            SS pin signal                                : 
**          Interrupts/DMA                                 : 
**            Receiver full                                : 
**              Interrupt                                  : INT_QSPI0_RCV
**              Receiver interrupt                         : Disabled
**              Error interrupt                            : Disabled
**              Interrupt priority                         : medium priority
**              ISR name                                   : ISR_Rx
**            Transmitter empty                            : 
**              Interrupt                                  : INT_QSPI0_XMIT
**              Transmitter interrupt                      : Disabled
**              Interrupt priority                         : medium priority
**              ISR name                                   : ISR_Tx
**            DMA                                          : 
**              Receive DMA                                : Disabled
**              Transmit DMA                               : Disabled
**          Initialization                                 : 
**            Call Init method                             : yes
**            Enable peripheral clock                      : yes
**            Enable SPI module                            : yes
**     Contents    :
**         Init - void SPI1_Init(void);
**
**     Copyright : 1997 - 2012 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef __SPI1
#define __SPI1

/* MODULE SPI1. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */
#include "Cpu.h"

/* PESL device mapping  */
#define SPI1_DEVICE QSPI0

extern void ISR_Rx(void);
extern void ISR_Tx(void);

void SPI1_Init(void);
/*
** ===================================================================
**     Method      :  SPI1_Init (component Init_SPI)
**
**     Description :
**         This method initializes registers of the SPI module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in the user code to initialize the
**         module. By default, the method is called by PE
**         automatically; see "Call Init method" property of the
**         bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see SPI1.c file for more information).
** ===================================================================
*/
void ISR_Rx(void);

/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see SPI1.c file for more information).
** ===================================================================
*/
void ISR_Tx(void);

/* END SPI1. */

#endif /* ifndef __SPI1 */
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
