/** ###################################################################
**     Filename    : Events.h
**     Project     : Init_SPI
**     Processor   : MC56F84789VLL
**     Component   : Events
**     Version     : Driver 01.03
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-02-23, 13:59, # CodeGen: 0
**     Abstract    :
**         This is user's event module.
**         Put your event handler code here.
**     Settings    :
**     Contents    :
**         No public methods
**
** ###################################################################*/

#ifndef __Events_H
#define __Events_H
/* MODULE Events */

#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "SPI1.h"
#include "TEST1.h"


#if defined(ISR_Rx_FAST_INT)
void ISR_Rx(void);
#else
void ISR_Rx(void);
#endif
/*
** ===================================================================
**     Interrupt handler : ISR_Rx
**
**     Description :
**         User interrupt service routine. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/



#if defined(ISR_Tx_FAST_INT)
void ISR_Tx(void);
#else
void ISR_Tx(void);
#endif
/*
** ===================================================================
**     Interrupt handler : ISR_Tx
**
**     Description :
**         User interrupt service routine. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/



/* END Events */
#endif /* __Events_H*/

/*
** ###################################################################
**
**     This file was created by Processor Expert
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
