/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : PPG1.h
**     Project     : ProcessorExpert
**     Processor   : MC56F84789VLL
**     Component   : PPG
**     Version     : Component 02.190, Driver 02.05, CPU db: 3.50.001
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-07-05, 12:21, # CodeGen: 7
**     Abstract    :
**         This component "PPG" implements a programmable
**         pulse generator that generates signal with variable
**         duty and variable cycle (period).
**     Settings    :
**         Used output pin             : 
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       11            |  GPIOC3/TA0/CMPA_O/RXD0/CLKIN1
**             ----------------------------------------------------
**
**         Timer name                  : TMRA0 [16-bit]
**         Counter                     : TMRA_0_CNTR [E145]
**         Mode register               : TMRA_0_CTRL [E146]
**         Run register                : TMRA_0_CTRL [E146]
**         Prescaler                   : TMRA_0_CTRL [E146]
**         Compare 1 register          : TMRA_0_COMP1 [E140]
**         Compare 2 register          : TMRA_0_COMP2 [E141]
**         Comparator load 1 register  : TMRA_0_CMPLD1 [E148]
**         Comparator load 2 register  : TMRA_0_CMPLD2 [E149]
**         Flip-flop 1 register        : TMRA_0_SCTRL [E147]
**         Load register               : TMRA_0_LOAD [E143]
**
**         Interrupt name              : INT_TMRA_0
**         Interrupt enable reg.       : TMRA_0_CSCTRL [E14A]
**         Priority                    : 1
**         User handling procedure     : PPG1_OnEnd
**         This event is called when the 3 of cycles is generated
**
**         Output pin
**
**         Port name                   : GPIOC_Low
**         Bit number (in port)        : 3
**         Bit mask of the port        : 0008
**         Port data register          : GPIOC_DR  [E221]
**         Port control register       : GPIOC_DDR [E222]
**         Port function register      : GPIOC_PER [E223]
**
**         Runtime setting period      : none
**         Runtime setting ratio       : none
**         Initialization:
**              Output level           : low
**              Timer                  : Disabled
**              Event                  : Enabled
**         High speed mode
**             Prescaler               : divide-by-16
**             Clock                   : 6250000 Hz
**           Initial value of            period        pulse width (ratio 30%)
**             Xtal ticks              : 80000         24000
**             microseconds            : 10000         3000
**             milliseconds            : 10            3
**             seconds (real)          : 0.01          0.003
**
**     Contents    :
**         Enable  - byte PPG1_Enable(void);
**         Disable - byte PPG1_Disable(void);
**
**     Copyright : 1997 - 2012 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef __PPG1
#define __PPG1

/* MODULE PPG1. */

#include "Cpu.h"

#define PPG1_PERIOD_VALUE  0xF424UL    /* Initial period value in ticks of the timer. It is available only if the bean is enabled in high speed mode. */
#define PPG1_PERIOD_VALUE_HIGH 0xF424UL /* Period value in ticks of the timer in high speed mode. It is available only if the bean is enabled in high speed mode. */

byte PPG1_Enable(void);
/*
** ===================================================================
**     Method      :  PPG1_Enable (component PPG)
**
**     Description :
**         This method enables the component - it starts the signal
**         generation. Events may be generated (<DisableEvent>
**         /<EnableEvent>).
**     Parameters  : None
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
** ===================================================================
*/

byte PPG1_Disable(void);
/*
** ===================================================================
**     Method      :  PPG1_Disable (component PPG)
**
**     Description :
**         This method disables the component - it stops the signal
**         generation and events calling. When the timer is disabled,
**         it is possible to call <ClrValue> and <SetValue> methods.
**     Parameters  : None
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
** ===================================================================
*/

void PPG1_Init(void);
/*
** ===================================================================
**     Method      :  PPG1_Init (component PPG)
**
**     Description :
**         Initializes the associated peripheral(s) and the beans 
**         internal variables. The method is called automatically as a 
**         part of the application initialization code.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

void  PPG1_Interrupt(void);
/*
** ===================================================================
**     Method      :  PPG1_Interrupt (component PPG)
**
**     Description :
**         The method services the interrupt of the selected peripheral(s)
**         and eventually invokes the beans event(s).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/


/* END PPG1. */

#endif /* ifndef __PPG1 */
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
