/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : Puls1.h
**     Project     : ProcessorExpert
**     Processor   : MC56F84789VLL
**     Component   : PulseAccumulator
**     Version     : Component 01.191, Driver 02.05, CPU db: 3.50.001
**     Compiler    : Metrowerks DSP C Compiler
**     Date/Time   : 2012-07-05, 12:22, # CodeGen: 7
**     Abstract    :
**          Pulse accumulator counts the number of active edges at the input of its
**          channel.
**     Settings    :
**             Pulse accumulator       : TMRA1_PACNT
**
**
**         Used input pin              :
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       12            |  GPIOC4/TA1/CMPB_O/XB_IN8/EWM_OUT_B
**             ----------------------------------------------------
**
**         Mode                        : Count
**
**         Initialization:
**              Pulse accumulator      : Enabled
**              Events                 : Enabled
**
**         Timer registers
**              Counter                : TMRA_1_CNTR [E155]
**              Hold                   : TMRA_1_HOLD [E154]
**              Run                    : TMRA_1_CTRL [E156]
**              Prescaler              : TMRA_1_CTRL [E156]
**
**         Handling procedure          : Puls1_OnOverflow
**
**     Contents    :
**         ResetCounter     - void Puls1_ResetCounter(void);
**         GetCounterValue  - void Puls1_GetCounterValue(Puls1_TCounterValue *Value);
**
**     Copyright : 1997 - 2012 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef __Puls1
#define __Puls1

/* MODULE Puls1. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Cpu.h"

#ifndef __BWUserType_Puls1_TCounterValue
#define __BWUserType_Puls1_TCounterValue
  typedef word Puls1_TCounterValue;    /* Counter value, width depend on on selected peripheal. */
#endif


void Puls1_ResetCounter(void);
/*
** ===================================================================
**     Method      :  Puls1_ResetCounter (component PulseAccumulator)
**
**     Description :
**         This method resets the pulse accumulator counter (sets to
**         zero).
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

void Puls1_GetCounterValue(Puls1_TCounterValue *Value);
/*
** ===================================================================
**     Method      :  Puls1_GetCounterValue (component PulseAccumulator)
**
**     Description :
**         This method returns the content of the pulse accumulator
**         counter.
**     Parameters  :
**         NAME            - DESCRIPTION
**       * Value           - Pointer to returned value. [Note:]
**                           Parameter type depends on the width of the
**                           selected counter (may be 8, 16, 32 or 64
**                           bits long). See the method prototype in the
**                           generated module.
**     Returns     : Nothing
** ===================================================================
*/

void Puls1_Init(void);
/*
** ===================================================================
**     Method      :  Puls1_Init (component PulseAccumulator)
**
**     Description :
**         Initializes the associated peripheral(s) and the beans 
**         internal variables. The method is called automatically as a 
**         part of the application initialization code.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

void Puls1_Interrupt(void);
/*
** ===================================================================
**     Method      :  Puls1_Interrupt (component PulseAccumulator)
**
**     Description :
**         The method services the interrupt of the selected peripheral(s)
**         and eventually invokes the beans event(s).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

/* END Puls1. */

#endif /* ifndef __Puls1 */
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
